#include<bits/stdc++.h>

using namespace std;
int N,K,niz[20005];
int br;
int main(){
    cin>>N>>K;
    for(int i=1;i<=N;i++){
        cin>>niz[i];
    if(N==2 and K==niz[1]){
        br=niz[2];
    }
    else if(N==2 and K==niz[2]){
        br=niz[1];
    }
    else if(K==niz[N]){
        br=niz[1];
    }
    else if(K==niz[i] and niz[i]!=niz[N]){
        br=niz[i+1];
    }
    }
cout<<br<<endl;    
    }